Cyberduck Mountain Duck CLI

#7945 closed defect (fixed)

Duplicate files in synchronization prompt

Reported by: enotramone Owned by: dkocher
Priority: normal Milestone: 4.4.5
Component: core Version: 4.4.4
Severity: normal Keywords: synchronization, duplication
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

When I synchronize my FTP folder with local folder, in a prompted conformation window all files from the FTP folder are duplicated.

Example (see screenshot):

  • I try to sync (Upload or Mirror mode) folder name "mbru" with only one local modified file "header.php"
  • In appeared prompted conformation window I open "mbru" folder and see, that all files from FTP folder are duplicated (33 files in total = 2 * 16 files + 1 root folder)
  • I leave everything as it is and click [Continue]
  • The result is: Transfer incomplete, 1.8 KB of 3.6 KB

But my file was successfully uploaded - the rest 1.8 KB of 3.6 is a duplicate.

Attachments (1)

Screen Shot 2014-05-08 at 6.42.06 PM.png (419.9 KB) - added by enotramone on May 8, 2014 at 3:25:30 PM.
Duplicated files during synchronization

Download all attachments as: .zip

Change History (6)

Changed on May 8, 2014 at 3:25:30 PM by enotramone

Duplicated files during synchronization

comment:1 Changed on May 14, 2014 at 12:18:59 PM by dkocher

  • Milestone set to 4.4.5
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on May 14, 2014 at 1:00:19 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r14609.

comment:3 Changed on May 26, 2014 at 9:25:29 AM by dkocher

  • Summary changed from Files are duplicate during synchronization to Duplicate files in synchronization prompt

comment:4 Changed on May 26, 2014 at 9:25:55 AM by dkocher

#7978 closed as duplicate.

comment:5 Changed on Aug 11, 2014 at 8:54:24 PM by dkocher

Reworked fix in r14973.

Note: See TracTickets for help on using tickets.
swiss made software